Chromium Code Reviews
Help | Chromium Project | Sign in
(20)

Issue 2746233002: Fixes 2D-to-WebVR site transitions when browsing in VR. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 2 days ago by tiborg
Modified:
1 week, 1 day ago
Reviewers:
mthiesse, bajones, bshe, dcheng, amp
CC:
chromium-reviews, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, feature-vr-reviews_chromium.org, darin (slow to review), billorr
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fixes 2D-to-WebVR site transitions when browsing in VR. - Renames GetVRDevice(...) to CreateVRDisplayInfo(...) for better understandability. - Refactores the addition for services in VRDeviceManager to simplify the code. - Makes the client of VRDisplayImpl and VRServiceImpl private. Added delegate methods where calls to the client are necessary. - Makes sure that VRDisplayImpl's client is initialized in the constructor. A call to an uninitialized client was the actual source of the bug. - Moves the instantiation of VRDisplayImpl objects to VRServiceImpl since VRServiceImpl is the owner of the VRDisplayImpls. - Adds class comments to the touched classes. - Adaptes the unit tests accordingly. BUG=703318 Review-Url: https://codereview.chromium.org/2746233002 Cr-Commit-Position: refs/heads/master@{#458483} Committed: https://chromium.googlesource.com/chromium/src/+/e3db9aa8aa3160f96599766955bf286a64a072e2

Patch Set 1 #

Total comments: 28

Patch Set 2 : Nits, comment clarifications #

Total comments: 2

Patch Set 3 : nit #

Total comments: 8

Patch Set 4 : Rebased on ToT, nits, removed DCHECK #

Total comments: 1

Patch Set 5 : nit #

Patch Set 6 : Fixed tests #

Patch Set 7 : Fixed export #

Unified diffs Side-by-side diffs Delta from patch set Stats (+174 lines, -120 lines) Patch
M device/vr/android/gvr/gvr_device.h View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M device/vr/android/gvr/gvr_device.cc View 1 2 3 1 chunk +4 lines, -4 lines 0 comments Download
M device/vr/test/fake_vr_device.h View 1 2 3 2 chunks +3 lines, -3 lines 0 comments Download
M device/vr/test/fake_vr_device.cc View 1 2 3 4 5 3 chunks +16 lines, -16 lines 0 comments Download
M device/vr/vr_device.h View 1 2 3 2 chunks +7 lines, -2 lines 0 comments Download
M device/vr/vr_device.cc View 1 2 3 2 chunks +7 lines, -7 lines 0 comments Download
M device/vr/vr_device_manager.h View 1 2 3 4 5 6 2 chunks +6 lines, -2 lines 0 comments Download
M device/vr/vr_device_manager.cc View 2 chunks +20 lines, -29 lines 0 comments Download
M device/vr/vr_device_manager_unittest.cc View 2 chunks +7 lines, -10 lines 0 comments Download
M device/vr/vr_display_impl.h View 1 2 3 2 chunks +15 lines, -4 lines 0 comments Download
M device/vr/vr_display_impl.cc View 1 2 3 1 chunk +32 lines, -13 lines 0 comments Download
M device/vr/vr_display_impl_unittest.cc View 1 2 3 4 5 2 chunks +6 lines, -2 lines 0 comments Download
M device/vr/vr_service.mojom View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M device/vr/vr_service_impl.h View 1 2 3 4 5 6 3 chunks +16 lines, -7 lines 0 comments Download
M device/vr/vr_service_impl.cc View 1 2 3 4 3 chunks +31 lines, -17 lines 0 comments Download
Trybot results:  linux_android_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_rel_ng   linux_chromium_rel_ng   chromeos_daisy_chromium_compile_only_ng   ios-device   cast_shell_android   android_n5x_swarming_rel   win_chromium_compile_dbg_ng   linux_android_rel_ng   linux_chromium_tsan_rel_ng   android_clang_dbg_recipe   win_clang   ios-simulator   chromium_presubmit   linux_chromium_chromeos_rel_ng   ios-simulator-xcode-clang   android_arm64_dbg_recipe   android_cronet   win_chromium_x64_rel_ng   linux_chromium_asan_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   android_compile_dbg   ios-device-xcode-clang   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_chromium_asan_rel_ng   win_chromium_compile_dbg_ng   cast_shell_linux   win_clang   mac_chromium_rel_ng   cast_shell_android   linux_chromium_tsan_rel_ng   chromium_presubmit   android_clang_dbg_recipe   linux_chromium_compile_dbg_ng   android_arm64_dbg_recipe   mac_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   ios-device   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   android_n5x_swarming_rel   chromeos_daisy_chromium_compile_only_ng   android_cronet   ios-simulator   ios-device-xcode-clang   win_chromium_x64_rel_ng   ios-simulator-xcode-clang   win_chromium_rel_ng   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   android_compile_dbg 
Commit queue not available (can’t edit this change).

Messages

Total messages: 53 (28 generated)
mthiesse
(FYI you have to send out a message for us to get emails about CLs)
2 weeks, 2 days ago (2017-03-13 21:51:39 UTC) #4
tiborg
Please take a look
2 weeks, 2 days ago (2017-03-13 21:56:49 UTC) #5
mthiesse
lgtm, left a bunch of nits. Should probably wait for Brandon to review too. https://codereview.chromium.org/2746233002/diff/1/device/vr/vr_device.h ...
2 weeks, 2 days ago (2017-03-13 22:17:30 UTC) #6
amp
Some high level thoughts and nits on comments. https://codereview.chromium.org/2746233002/diff/1/device/vr/test/fake_vr_device.cc File device/vr/test/fake_vr_device.cc (right): https://codereview.chromium.org/2746233002/diff/1/device/vr/test/fake_vr_device.cc#newcode53 device/vr/test/fake_vr_device.cc:53: void ...
2 weeks, 2 days ago (2017-03-13 22:26:06 UTC) #8
tiborg
https://codereview.chromium.org/2746233002/diff/1/device/vr/test/fake_vr_device.cc File device/vr/test/fake_vr_device.cc (right): https://codereview.chromium.org/2746233002/diff/1/device/vr/test/fake_vr_device.cc#newcode53 device/vr/test/fake_vr_device.cc:53: void FakeVRDevice::SetVRDevice(const mojom::VRDisplayInfoPtr& device) { On 2017/03/13 22:26:05, amp ...
2 weeks, 2 days ago (2017-03-13 23:00:58 UTC) #9
bajones
Broadly looking good, though I agree with a lot of the previous nits. One thing ...
2 weeks, 2 days ago (2017-03-13 23:04:58 UTC) #10
amp
lgtm https://codereview.chromium.org/2746233002/diff/1/device/vr/vr_device.h File device/vr/vr_device.h (right): https://codereview.chromium.org/2746233002/diff/1/device/vr/vr_device.h#newcode29 device/vr/vr_device.h:29: // info object is created. May or may ...
2 weeks, 1 day ago (2017-03-14 17:05:51 UTC) #11
tiborg
On 2017/03/13 23:04:58, bajones wrote: > Broadly looking good, though I agree with a lot ...
2 weeks, 1 day ago (2017-03-14 17:45:39 UTC) #12
tiborg
On 2017/03/13 23:04:58, bajones wrote: > Broadly looking good, though I agree with a lot ...
2 weeks, 1 day ago (2017-03-14 17:45:41 UTC) #13
tiborg
https://codereview.chromium.org/2746233002/diff/20001/device/vr/vr_service.mojom File device/vr/vr_service.mojom (right): https://codereview.chromium.org/2746233002/diff/20001/device/vr/vr_service.mojom#newcode75 device/vr/vr_service.mojom:75: // TODO(shaobo.yan@intel.com, crbug/701027): Use a factory function which took ...
2 weeks, 1 day ago (2017-03-14 17:46:00 UTC) #14
bajones
device/vr lgtm
2 weeks, 1 day ago (2017-03-14 17:49:18 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2746233002/40001
2 weeks, 1 day ago (2017-03-14 19:26:32 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/385238)
2 weeks, 1 day ago (2017-03-14 19:38:37 UTC) #20
tiborg
dcheng@: Please review changes in //src/device/vr/vr_service.mojom. Thanks!
2 weeks, 1 day ago (2017-03-14 19:45:54 UTC) #22
dcheng
https://codereview.chromium.org/2746233002/diff/40001/device/vr/android/gvr/gvr_device.cc File device/vr/android/gvr/gvr_device.cc (right): https://codereview.chromium.org/2746233002/diff/40001/device/vr/android/gvr/gvr_device.cc#newcode33 device/vr/android/gvr/gvr_device.cc:33: onCreated.Run(mojom::VRDisplayInfoPtr(nullptr)); Unrelated, but this is typically written: on_created.Run(nullptr); // ...
2 weeks ago (2017-03-16 05:38:22 UTC) #23
tiborg
https://codereview.chromium.org/2746233002/diff/40001/device/vr/android/gvr/gvr_device.cc File device/vr/android/gvr/gvr_device.cc (right): https://codereview.chromium.org/2746233002/diff/40001/device/vr/android/gvr/gvr_device.cc#newcode33 device/vr/android/gvr/gvr_device.cc:33: onCreated.Run(mojom::VRDisplayInfoPtr(nullptr)); On 2017/03/16 05:38:22, dcheng wrote: > Unrelated, but ...
1 week, 6 days ago (2017-03-16 15:02:40 UTC) #24
dcheng
mojo lgtm https://codereview.chromium.org/2746233002/diff/60001/device/vr/vr_service_impl.cc File device/vr/vr_service_impl.cc (right): https://codereview.chromium.org/2746233002/diff/60001/device/vr/vr_service_impl.cc#newcode68 device/vr/vr_service_impl.cc:68: LOG(ERROR) << "Cannot create VR display because ...
1 week, 6 days ago (2017-03-16 21:39:12 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2746233002/80001
1 week, 6 days ago (2017-03-16 23:16:07 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/138568) mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
1 week, 6 days ago (2017-03-16 23:38:51 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2746233002/100001
1 week, 6 days ago (2017-03-17 00:21:44 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/230309)
1 week, 6 days ago (2017-03-17 01:00:03 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2746233002/120001
1 week, 2 days ago (2017-03-20 22:53:05 UTC) #46
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/253910)
1 week, 2 days ago (2017-03-21 00:26:13 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2746233002/120001
1 week, 1 day ago (2017-03-21 17:23:16 UTC) #50
commit-bot: I haz the power
1 week, 1 day ago (2017-03-21 18:31:46 UTC) #53
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/e3db9aa8aa3160f96599766955bf...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46